Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataScroller

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractDataScroller
                  org.richfaces.component.UIDataScroller

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.event.DataScrollSource

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIDataScroller

extends AbstractDataScroller
implements javax.faces.component.behavior.ClientBehaviorHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.event.DataScrollSource

The <rich:dataScroller> component is used for navigating through multiple pages of tables or grids.

Nested Class Summary
`protected static class` | `UIDataScroller.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractDataScroller
`FAST_FORWARD_FACET_NAME, FAST_REWIND_FACET_NAME, FIRST_DISABLED_FACET_NAME, FIRST_FACET_NAME, LAST_DISABLED_FACET_NAME, LAST_FACET_NAME, NEXT_FACET_NAME, PAGEMODE_FULL, PAGEMODE_SHORT, PREVIOUS_FACET_NAME, SCROLLER_STATE_ATTRIBUTE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIDataScroller()`

Method Summary
`org.richfaces.component.DataScrollerControlsMode` | `getBoundaryControls()` The attribute specifies the visibility of boundaryControls.
`Object` | `getData()`
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`Object` | `getExecute()`
`String` | `getFamily()`
`org.richfaces.component.DataScrollerControlsMode` | `getFastControls()` The attribute specifies the visibility of fastControls.
`javax.faces.component.UIComponent` | `getFastForward()`
`javax.faces.component.UIComponent` | `getFastRewind()`
`int` | `getFastStep()` The attribute indicates pages quantity to switch onto when fast scrolling is used.
`javax.faces.component.UIComponent` | `getLast()`
`String` | `getLastPageMode()` The attribute to control whether last page of datascroller shows "rows" number of items or just the rest.
`int` | `getMaxPages()` Maximum quantity of pages.
`javax.faces.component.UIComponent` | `getNext()`
`String` | `getOnbeforedomupdate()`
`String` | `getOnbegin()`
`String` | `getOncomplete()`
`javax.faces.component.UIComponent` | `getPrevious()`
`Object` | `getRender()`
`javax.el.MethodExpression` | `getScrollListener()`
`String` | `getStatus()`
`org.richfaces.component.DataScrollerControlsMode` | `getStepControls()` The attribute specifies the visibility of stepControls.
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`boolean` | `isLimitRender()`
`boolean` | `isRenderIfSinglePage()` If renderIfSinglePage is "true" then datascroller is displayed on condition that the data hold on one page.
`void` | `setBoundaryControls(org.richfaces.component.DataScrollerControlsMode boundaryControls)`
`void` | `setData(Object data)`
`void` | `setExecute(Object execute)`
`void` | `setFastControls(org.richfaces.component.DataScrollerControlsMode fastControls)`
`void` | `setFastForward(javax.faces.component.UIComponent facet)`
`void` | `setFastRewind(javax.faces.component.UIComponent facet)`
`void` | `setFastStep(int fastStep)`
`void` | `setLast(javax.faces.component.UIComponent facet)`
`void` | `setLastPageMode(String lastPageMode)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setMaxPages(int maxPages)`
`void` | `setNext(javax.faces.component.UIComponent facet)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setPrevious(javax.faces.component.UIComponent facet)`
`void` | `setRender(Object render)`
`void` | `setRenderIfSinglePage(boolean renderIfSinglePage)`
`void` | `setScrollListener(javax.el.MethodExpression scrollListener)`
`void` | `setStatus(String status)`
`void` | `setStepControls(org.richfaces.component.DataScrollerControlsMode stepControls)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`

Methods inherited from class org.richfaces.component.AbstractDataScroller
`addScrollListener, broadcast, getDataTable, getFastStepOrDefault, getFirst, getFor, getIterationState, getMaxPagesOrDefault, getPage, getPageCount, getPageCount, getPageCount, getPageForFacet, getRowCount, getRowCount, getRows, getScrollListeners, isLocalPageSet, removeScrollListener, resetLocalPage, setFor, setIterationState, setPage`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface org.ajax4jsf.component.IterationStateHolder
`getIterationState, setIterationState`

Methods inherited from interface org.richfaces.event.DataScrollSource
`addScrollListener, getScrollListeners, removeScrollListener`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIDataScroller

    public UIDataScroller()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getBoundaryControls

    public org.richfaces.component.DataScrollerControlsMode getBoundaryControls()

  Description copied from class: `AbstractDataScroller`
  The attribute specifies the visibility of boundaryControls. Possible values are: "show" (controls are always visible ). "hide" (controls are hidden. "auto" (unnecessary controls are hidden). Default value is "show".

  Specified by:
    `getBoundaryControls` in class `AbstractDataScroller`

### setBoundaryControls

    public void setBoundaryControls(org.richfaces.component.DataScrollerControlsMode boundaryControls)

### getData

    public Object getData()

### setData

    public void setData(Object data)

### getExecute

    public Object getExecute()

### setExecute

    public void setExecute(Object execute)

### getFastControls

    public org.richfaces.component.DataScrollerControlsMode getFastControls()

  Description copied from class: `AbstractDataScroller`
  The attribute specifies the visibility of fastControls. Possible values are: "show" (controls are always visible ). "hide" (controls are hidden. "auto" (unnecessary controls are hidden). Default value is "show".

  Specified by:
    `getFastControls` in class `AbstractDataScroller`

### setFastControls

    public void setFastControls(org.richfaces.component.DataScrollerControlsMode fastControls)

### getFastStep

    public int getFastStep()

  Description copied from class: `AbstractDataScroller`
  The attribute indicates pages quantity to switch onto when fast scrolling is used. Default value is "1".

  Specified by:
    `getFastStep` in class `AbstractDataScroller`
  Returns:

### setFastStep

    public void setFastStep(int fastStep)

### getLastPageMode

    public String getLastPageMode()

  Description copied from class: `AbstractDataScroller`
  The attribute to control whether last page of datascroller shows "rows" number of items or just the rest. Possible values are "full" and "short". Default value is "short".

  Specified by:
    `getLastPageMode` in class `AbstractDataScroller`

### setLastPageMode

    public void setLastPageMode(String lastPageMode)

### isLimitRender

    public boolean isLimitRender()

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getMaxPages

    public int getMaxPages()

  Description copied from class: `AbstractDataScroller`
  Maximum quantity of pages. Default value is "10".

  Specified by:
    `getMaxPages` in class `AbstractDataScroller`

### setMaxPages

    public void setMaxPages(int maxPages)

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbegin

    public String getOnbegin()

### setOnbegin

    public void setOnbegin(String onbegin)

### getOncomplete

    public String getOncomplete()

### setOncomplete

    public void setOncomplete(String oncomplete)

### getRender

    public Object getRender()

  Specified by:
    `getRender` in class `AbstractDataScroller`

### setRender

    public void setRender(Object render)

### isRenderIfSinglePage

    public boolean isRenderIfSinglePage()

  Description copied from class: `AbstractDataScroller`
  If renderIfSinglePage is "true" then datascroller is displayed on condition that the data hold on one page. Default value is "true".

  Specified by:
    `isRenderIfSinglePage` in class `AbstractDataScroller`

### setRenderIfSinglePage

    public void setRenderIfSinglePage(boolean renderIfSinglePage)

### getScrollListener

    public javax.el.MethodExpression getScrollListener()

  Specified by:
    `getScrollListener` in class `AbstractDataScroller`

### setScrollListener

    public void setScrollListener(javax.el.MethodExpression scrollListener)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getStepControls

    public org.richfaces.component.DataScrollerControlsMode getStepControls()

  Description copied from class: `AbstractDataScroller`
  The attribute specifies the visibility of stepControls. Possible values are: "show" (controls are always visible ). "hide" (controls are hidden. "auto" (unnecessary controls are hidden). Default value is "show".

  Specified by:
    `getStepControls` in class `AbstractDataScroller`

### setStepControls

    public void setStepControls(org.richfaces.component.DataScrollerControlsMode stepControls)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getLast

    public javax.faces.component.UIComponent getLast()

  Specified by:
    `getLast` in class `AbstractDataScroller`

### setLast

    public void setLast(javax.faces.component.UIComponent facet)

### getPrevious

    public javax.faces.component.UIComponent getPrevious()

  Specified by:
    `getPrevious` in class `AbstractDataScroller`

### setPrevious

    public void setPrevious(javax.faces.component.UIComponent facet)

### getFastForward

    public javax.faces.component.UIComponent getFastForward()

  Specified by:
    `getFastForward` in class `AbstractDataScroller`

### setFastForward

    public void setFastForward(javax.faces.component.UIComponent facet)

### getNext

    public javax.faces.component.UIComponent getNext()

  Specified by:
    `getNext` in class `AbstractDataScroller`

### setNext

    public void setNext(javax.faces.component.UIComponent facet)

### getFastRewind

    public javax.faces.component.UIComponent getFastRewind()

  Specified by:
    `getFastRewind` in class `AbstractDataScroller`

### setFastRewind

    public void setFastRewind(javax.faces.component.UIComponent facet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.